Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.core
Interface ResourceManagerListener

All Known Subinterfaces:
  NotificationProducerPersistence, RouterPersistence, ServiceGroupPersistence

All Known Implementing Classes:
  AbstractAdvertisement, NotificationProducerFilePersistence, RouterFilePersistence, ServiceGroupFilePersistence, SimpleNotificationProducer, SimpleServiceGroup

public interface ResourceManagerListener

ResourceManagerListener is an interface for components that want to receive internal notifications about the addition/removal of resource instances in the Muse ResourceManager. The addition and removal of resources from the manager usually happens directly after the creation and destruction of the resources, respectively. Listening for modifications to the manager's collection of live resources allows internal components to act on these events without using some kind of non-standard public API to make them available.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `resourceAdded(EndpointReference epr, Resource resource)`
`void` | `resourceRemoved(EndpointReference epr)`

Method Detail

### resourceAdded

    public void resourceAdded(EndpointReference epr,
                              Resource resource)
                       throws SoapFault

  Parameters:
    `epr` - The unique EPR that is being associated with the new resource. This value should always be used over Resource.getEndpointReference() because some applications may choose to map multiple EPRs to the same resource instance, and thus getEndpointReference() will not provide an accurate value.
    `resource` - The resource instance being associated with the given EPR.
  Throws:
    `SoapFault`

### resourceRemoved

    public void resourceRemoved(EndpointReference epr)
                         throws SoapFault

  Parameters:
    `epr` - The unique EPR of the resource that has been destroyed - the Resource object is not provided because it would most likely be in an inconsistent state. At this point, the resource has already been 'destroyed'.
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD